- job:
    name: lhg-oe-rocko
    project-type: matrix
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
                - job-workspace
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
            artifact-num-to-keep: 1
    parameters:
        - string:
            name: IMAGES
            default: 'rpb-westonchromium-image'
        - string:
            name: MANIFEST_URL
            default: 'https://github.com/linaro-mmwg/lhg-oe-manifests.git'
        - string:
            name: MANIFEST_BRANCH
            default: 'rocko'
        - string:
            name: BASE_URL
            default: 'https://snapshots.linaro.org/'
        - string:
            name: PUB_DEST
            default: 'openembedded/pre-built/lhg/${MANIFEST_BRANCH}/${MACHINE}/${BUILD_NUMBER}/${DISTRO}'
        - string:
            name: LAVA_SERVER
            default: 'https://validation.linaro.org/RPC2/'
        - string:
            name: QA_SERVER
            default: 'https://qa-reports.linaro.org'
        - string:
            name: QA_SERVER_PROJECT
            default: 'openembedded-rocko'

    disabled: false
    node: lhg
    display-name: 'LHG - OpenEmbedded (rocko)'
    axes:
        - axis:
            type: user-defined
            name: MACHINE
            values:
                - am57xx-evm
                - dragonboard-410c
                - hikey
        - axis:
            type: user-defined
            name: DISTRO
            values:
                - rpb-wayland
        - axis:
            type: slave
            name: label
            values:
                - docker-stretch-amd64-lhg
    execution-strategy:
        sequential: false
    wrappers:
        - timestamps
        - credentials-binding:
            - text:
                credential-id: QA_REPORTS_TOKEN
                variable: QA_REPORTS_TOKEN
    builders:
        - shell: |
            #!/bin/bash

            # Mapping for MACHINE -> DEVICE_TYPE
            case "${MACHINE}" in
              hikey)
                DEVICE_TYPE=hi6220-hikey
                ;;
              dragonboard-410c)
                DEVICE_TYPE=dragonboard-410c
                ;;
              am57xx-evm)
                DEVICE_TYPE=am57xx-evm
                ;;
              *)
                echo "Skip DEVICE_TYPE for ${MACHINE}"
                ;;
            esac

            echo "DEVICE_TYPE=${DEVICE_TYPE}" > device_type_parameters
        - inject:
            properties-file: device_type_parameters
        - shell:
            !include-raw: lhg-oe-build/builders.sh
        - inject:
            properties-file: post_build_lava_parameters
        - linaro-publish-token
        - shell:
            !include-raw: rpb-openembedded/publishers.sh
        - inject:
            properties-file: submit_for_testing_parameters
        - shell:
            !include-raw: lhg-oe-build/submit_for_testing.sh
    publishers:
        - archive:
            artifacts: 'out/*'
        - email:
            recipients: 'andrey.konovalov@linaro.org peter.griffin@linaro.org'
